import React from 'react';
import { Cascader } from 'antd';
import {techList} from '../../dataDic.js';


const TechSelect = React.createClass({
    onChange(value,s) {
        if ( s.length > 0 ) {
            this.props.techzone(s[0].label,s[1].label,s[2].label);
        }
    },
    render() {
        return (
            <Cascader options={techList} onChange={this.onChange} />
        )
    }
});

export default TechSelect;